diff a/src/java.base/share/classes/java/lang/System.java b/src/java.base/share/classes/java/lang/System.java
--- a/src/java.base/share/classes/java/lang/System.java
+++ b/src/java.base/share/classes/java/lang/System.java
@@ -1639,10 +1639,22 @@
      */
     public static void exit(int status) {
         Runtime.getRuntime().exit(status);
     }
 
+    /**
+     * Returns whether the AOT system is recording training data.
+     *
+     * @return  whether the AOT system is recording training data.
+     */
+    public static native boolean AOTIsTraining();
+
+    /**
+     * Will stop the recording of AOT training data.
+     */
+    public static native void AOTEndTraining();
+
     /**
      * Runs the garbage collector in the Java Virtual Machine.
      * <p>
      * Calling the {@code gc} method suggests that the Java Virtual Machine
      * expend effort toward recycling unused objects in order to
